## nvram 0.1-4

=== Makefile ===

CC = gcc
CFLAGS = -g -O2 -fomit-frame-pointer -Wall
LD = $(CC)
LDFLAGS = -g

PREFIX = /usr
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/man

all: nvram

nvram: nvram.o
	$(LD) $(LDFLAGS) -o $@ $^

clean:
	rm -f nvram *.o #*# core

install: nvram
	install -d -o root -g root -m 755 $(SBINDIR)
	install -d -o root -g root -m 755 $(MANDIR)/man8
	install -o root -g root -m 755 nvram $(SBINDIR)
	strip $(SBINDIR)/nvram
	install -o root -g root -m 644 nvram.8 $(MANDIR)/man8

=== debian/changelog ===
nvram (0.1-4) unstable; urgency=low

  * Corrected FSF address in copyright file.
  * Updated Standards-Version to 2.4.0.0 (no changes)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Feb 1998 12:07:17 +0100

nvram (0.1-3) unstable; urgency=low

  * Added a missing \n in a printf in nvram.c.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 27 Oct 1997 10:25:06 +0100

nvram (0.1-2) unstable; urgency=low

  * Added check for Atari to preinst
  * Create /dev/nvram in postinst if not yet present
  * Warn if current kernel doesn't have nvram support

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 16 Oct 1997 13:29:50 +0200

nvram (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sun, 13 Jul 1997 11:35:19 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "Roman.Hodek@informatik.uni-erlangen.de"
End:

=== debian/control ===
Source: nvram
Section: utils
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: nvram
Architecture: m68k
Depends: ${shlibs:Depends}, makedev (>= 1.6-26)
Description: Little tool to view and edit Atari NV-RAM contents
 nvram lets you view and change the values stored in the non-volatile
 memory of Atari machines. You need a 2.1.x kernel with /dev/nvram
 support to use it.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=nvram

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install PREFIX=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## nvram 0.1-6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 
 CC = gcc
 CFLAGS = -g -O2 -fomit-frame-pointer -Wall
-LD = $(CC)
 LDFLAGS = -g
 
 PREFIX = /usr
@@ -11,7 +10,7 @@
 all: nvram
 
 nvram: nvram.o
-	$(LD) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^
 
 clean:
 	rm -f nvram *.o #*# core

=== debian/changelog ===
nvram (0.1-6) unstable; urgency=low

  * FHS transition (Standards-Version: 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 16:27:38 +0200

nvram (0.1-5) unstable; urgency=low

  * debian/rules rewritten to use debhelper.
  * Replace $(LD) in Makefile by $(CC) to better allow cross-compiling.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 8 Jul 1999 13:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.1
 
 Package: nvram
 Architecture: m68k

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=nvram

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d debian/tmp/usr/sbin debian/tmp/usr/share/man/man8
	make install PREFIX=`pwd`/debian/tmp/usr \
	             MANDIR=`pwd`/debian/tmp/usr/share/man
	dh_installdocs
	dh_installchangelogs
	dh_installmanpages
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	#dh_du
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## nvram 0.1-7

=== debian/changelog ===
nvram (0.1-7) unstable; urgency=low

  * NMU ack (Closes: #216127)
  * changed my mail address

 -- Roman Hodek <roman@hodek.net>  Sun, 29 Feb 2004 14:03:33 +0100

nvram (0.1-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: 
    - Added build-dependency for debhelper (Closes: #216127)
    - Bumped Standards-Version to 3.6.1 (no changes)
  * debian/compat: Created (for version 1)
  * debian/rules: Cleanup
  * debian/changelog: Removed Emacs user settings from end of file

 -- Marc Brockschmidt <marc@dch-faq.de>  Sun, 14 Dec 2003 18:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nvram
 Section: utils
 Priority: extra
-Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 3.0.1
+Maintainer: Roman Hodek <roman@hodek.net>
+Build-Depends: debhelper
+Standards-Version: 3.6.1
 
 Package: nvram
 Architecture: m68k

=== debian/rules ===
--- 
+++ 
@@ -5,24 +5,22 @@
 package=nvram
 
 build:
-	$(checkdir)
+	dh_testdir
 	make
 	touch build
 
 clean:
-	$(checkdir)
-	-rm -f build
+	dh_testdir
+	dh_testroot
 	-make clean
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	dh_clean `find . -name "*~"` build
 
-binary-indep: checkroot build
-	$(checkdir)
+binary-indep: build
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-arch: checkroot build
+binary-arch: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -44,16 +42,7 @@
 	dh_md5sums
 	dh_builddeb
 
-define checkdir
-	test -f debian/rules
-endef
-
-# Below here is fairly generic really
 
 binary:		binary-indep binary-arch
 
-checkroot:
-	$(checkdir)
-	test root = "`whoami`"
-
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep clean
